Upstream information

CVE-2008-5189 at MITRE

Description

CRLF injection vulnerability in Ruby on Rails before 2.0.5 allows remote attackers to inject arbitrary HTTP headers and conduct HTTP response splitting attacks via a crafted URL to the redirect_to function.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 5
Vector AV:N/AC:L/Au:N/C:N/I:P/A:N
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact None
Integrity Impact Partial
Availability Impact None
SUSE Bugzilla entries: 436934 [RESOLVED / FIXED], 447441 [RESOLVED / DUPLICATE]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
openSUSE 11.0
  • rubygem-actionpack >= 1.13.5-71.2
SUSE Linux Enterprise SDK 10 SP2
  • rubygem-actionpack >= 2.0.2-0.4
  • rubygem-actionpack-1_12 >= 1.12.5-0.4
  • rubygem-actionpack-2_0 >= 2.0.2-0.4
sle10-sp1-sdk.ia64
sle10-sp2-sdk.x86
sle10-sp1-sdk.x86
sle10-sp2-sdk.ia64
sle10-sp1-sdk.s390x
sle10-sp2-sdk.ppc
sle10-sp2-sdk.s390x
sle10-sp1-sdk.ppc
sle10-sp1-sdk.x86-64
sle10-sp2-sdk.x86-64
ZYPP Patch Nr: 5821